Berkeley DB version 5.3.28

## com.sleepycat.db
Class ReplicationManagerConnectionStatus

    java.lang.Object
      com.sleepycat.db.ReplicationManagerConnectionStatus

All Implemented Interfaces:
  Cloneable

    public final class ReplicationManagerConnectionStatus

extends Object
implements Cloneable

Describes the connection status of a replication site. Returned from the `ReplicationManagerSiteInfo.getConnectionStatus()` method.

Field Summary
`static ReplicationManagerConnectionStatus` `CONNECTED` The site is connected.
`static ReplicationManagerConnectionStatus` `DISCONNECTED` The site is disconnected.
`static ReplicationManagerConnectionStatus` `UNKNOWN` The connection status cannot be determined.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTED

    public static final ReplicationManagerConnectionStatus CONNECTED

  The site is connected.

### DISCONNECTED

    public static final ReplicationManagerConnectionStatus DISCONNECTED

  The site is disconnected.

### UNKNOWN

    public static final ReplicationManagerConnectionStatus UNKNOWN

  The connection status cannot be determined.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.3.28

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.